%define upstream_name    Image-Info
%define upstream_version 1.45

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extract meta information from image files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Extract meta information from image files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES CREDITS META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorlib}/Image
%{perl_vendorlib}/Bundle/Image
%{_mandir}/*/*

%changelog
* Fri Jan 24 2025 tv <tv> 1.450.0-1.mga10
+ Revision: 2141577
- update to 1.45

* Tue Aug 29 2023 tv <tv> 1.440.0-1.mga10
+ Revision: 1980980
- update to 1.44

* Wed Oct 12 2022 tv <tv> 1.430.0-1.mga9
+ Revision: 1896414
- update to 1.43

* Mon Mar 21 2022 umeabot <umeabot> 1.420.0-3.mga9
+ Revision: 1811986
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.420.0-2.mga8
+ Revision: 1536658
- Mageia 8 Mass Rebuild

* Sun Oct 20 2019 tv <tv> 1.420.0-1.mga8
+ Revision: 1454779
- update to 1.42

* Thu Sep 20 2018 umeabot <umeabot> 1.410.0-3.mga7
+ Revision: 1284363
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.410.0-2.mga7
+ Revision: 1164843
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.410.0-1.mga7
+ Revision: 1159515
- update to 1.41

* Tue Apr 04 2017 shlomif <shlomif> 1.400.0-1.mga6
+ Revision: 1095872
- New version 1.40 + spec cleanups

* Wed Nov 16 2016 neoclust <neoclust> 1.380.0-4.mga6
+ Revision: 1067549
- Add P0: Fix CVE-2016-9180

* Sun Jun 19 2016 pterjan <pterjan> 1.380.0-3.mga6
+ Revision: 1028461
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.380.0-2.mga6
+ Revision: 967651
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.380.0-1.mga6
+ Revision: 850046
- update to 1.38

* Wed Oct 15 2014 umeabot <umeabot> 1.360.0-4.mga5
+ Revision: 743981
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.360.0-3.mga5
+ Revision: 685121
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.360.0-2.mga4
+ Revision: 537242
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.360.0-1.mga4
+ Revision: 486638
- update to 1.36

* Fri Jun 07 2013 jquelin <jquelin> 1.350.0-1.mga4
+ Revision: 439440
- update to 1.35

* Sun Jan 13 2013 umeabot <umeabot> 1.330.0-2.mga3
+ Revision: 368735
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.330.0-1.mga3
+ Revision: 315118
- update to 1.33

* Thu Feb 23 2012 jquelin <jquelin> 1.320.0-1.mga2
+ Revision: 212969
- update to 1.32

* Sun Jan 23 2011 jquelin <jquelin> 1.310.0-1.mga1
+ Revision: 33879
- mageia rebuild
- imported package perl-Image-Info

